# vim: set sw=4 ts=4 et nu:

%if 0
# not yet
%if 0%{?suse_version} >= 1120
%define with_equalizer 1
%endif
%endif

Name:               bino
Version:            0.9.2
Release:            0.pm.1.23
Summary:            Video Player with 3D and Multi-Display Video Support
# http://download.savannah.gnu.org/releases/bino/bino-%{version}.tar.xz
Source:             bino-%{version}.tar.bz2
Source1:            bino.desktop
Patch1:             bino-backport-qvariant.patch
URL:                http://www.nongnu.org/bino/
Group:              Productivity/Multimedia/Video/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libqt4-devel
BuildRequires:      glew-devel >= 1.5.0
BuildRequires:      ffmpeg-devel
BuildRequires:      openal-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
%if 0%{?with_equalizer}
BuildRequires:      equalizer-devel
%endif
Requires:           %install_info_prereq

%description
Bino is a video player with two special features:
* support for 3D videos, with a wide variety of input and output formats.
* support for multi-display video, e.g. for powerwalls, Virtual Reality
  installations and other multi-projector setups.

%prep
%setup -q
%if 0%{?suse_version} < 1130
%patch1
%endif

%build
%configure \
%if 0%{?with_equalizer}
    --with-equalizer \
%endif
    --disable-silent-rules

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/doc"

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Player
%find_lang "%{name}" || echo -n >"%{name}.lang"

%post
%install_info --info-dir="%{_infodir}" "%{_infodir}/bino".info*

%postun
%install_info_delete --info-dir="%{_infodir}" "%{_infodir}/bino".info*

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%doc doc/*.html doc/*.jpg doc/*.png
%{_bindir}/bino
%doc %{_mandir}/man1/bino.1%{ext_man}
%doc %{_infodir}/bino.info%{ext_info}
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Mar  8 2011 pascal.bleser@opensuse.org
- update to 0.9.2:
  * fixes various minor problems
  * improves compatibility with some video formats, especially Ogg/Theora
* Sun Feb 27 2011 pascal.bleser@opensuse.org
- update to 0.9.1:
  * fix UTF-8 interpretation of strings
  * new logo
  * Media object: use fixed temporary buffers for audio
  * Media object: improve packet buffering
  * use multithreading to read, decode, and display video data in parallel, for
    better performance
* Wed Feb 23 2011 pascal.bleser@opensuse.org
- update to 0.9.0:
  * support for green/magenta and amber/blue anaglyph glasses was added
  * the implementation of the Dubois anaglyph method was improved
  * all playback parameters can now be changed at any time, including selection
    of video and audio streams and of 3D input and output modes
  * seeking now works with more file formats
* Mon Jan 17 2011 pascal.bleser@opensuse.org
- update to 0.8.1:
  * bugfixes
  * GUI improvements
* Sat Jan  8 2011 pascal.bleser@opensuse.org
- update to 0.8:
  * adds adjustable ghostbusting to reduce crosstalk artifacts
  * adds parallax adjustment
  * adds mouse-based seeking
  * adds initial support for choosing an audio stream
  * improved compatibility with many video types
* Sat Dec 18 2010 pascal.bleser@opensuse.org
- initial package (0.7)
